-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql


module ChemicalsApi.Query exposing (..)

import ChemicalsApi.InputObject
import ChemicalsApi.Interface
import ChemicalsApi.Object
import ChemicalsApi.Scalar
import ChemicalsApi.Union
import CustomScalarCodecs
import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Internal.Builder.Object as Object
import Graphql.Internal.Encode as Encode exposing (Value)
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.SelectionSet exposing (SelectionSet)
import Json.Decode as Decode exposing (Decoder)


chemicals : SelectionSet decodesTo ChemicalsApi.Object.Chemical -> SelectionSet (List decodesTo) RootQuery
chemicals object_ =
    Object.selectionForCompositeField "chemicals" [] object_ (identity >> Decode.list)


pictograms : SelectionSet decodesTo ChemicalsApi.Object.Pictogram -> SelectionSet (List decodesTo) RootQuery
pictograms object_ =
    Object.selectionForCompositeField "pictograms" [] object_ (identity >> Decode.list)
